Name: ruby-tmail
Version: 0.10.6
Release: alt3

Summary: Mail handling library for Ruby
License: GPL
Group: Development/Ruby
URL: http://i.loveruby.net/en/tmail.html

Requires: ruby-stdlibs >= 1.8-alt3
# Automatically added by buildreq on Thu Jan 30 2003
BuildRequires: libruby-devel >= 1.8-alt3 ruby

Source0: %name-%version.tar.bz2
Patch0: tmail-0.10.6-alt.patch

%description
TMail is mail handling library for Ruby. TMail can extract data from mail,
and write data to mail following by RFC procedures.

%prep
%setup -q
%patch -p1

%build
# Remove RACC code from this package, it is already in Ruby 1.8
%__rm -rf packages/raccrt
ruby -rvendor-specific setup.rb config --prefix=%buildroot%prefix
ruby setup.rb setup

%install
ruby setup.rb install
pushd packages/tmail
cp -r LGPL README* Incompatibilities* doc* sample T ../../
popd

%files
%ruby_sitearchdir/*
%ruby_sitelibdir/*
%doc LGPL README* Incompatibilities* doc* sample T

%changelog
* Mon Jul 07 2003 Alexander Bokovoy <ab@altlinux.ru> 0.10.6-alt3
- Rebuild against Ruby 1.8-alt3
- FIxed:
    + ruby-tmail should not probide RACC, it is already in Ruby 1.8
    + Documentation is included

* Thu Jan 30 2003 Kachalov Anton <mouse@altlinux.ru> 0.10.6-alt2
- buildreq

* Tue Dec 10 2002 Kachalov Anton <mouse@altlinux.ru> 0.10.6-alt1
- new version


